Package org.linphone.mediastream

# Class MediastreamException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.linphone.mediastream.MediastreamException

All Implemented Interfaces:
  `Serializable`

public class MediastreamException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MediastreamException()`
`MediastreamException(String detailMessage)`
`MediastreamException(String detailMessage, Throwable e)`
`MediastreamException(Throwable e)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MediastreamException

public MediastreamException()

### MediastreamException

public MediastreamException(String detailMessage)

### MediastreamException

public MediastreamException(Throwable e)

### MediastreamException

public MediastreamException(String detailMessage, Throwable e)